<?php

    include('../conexion.php'); 
    
	   $consulta2 = "SELECT * FROM wc_parametros_fe ";
	   $resultado2 = $mysqli->query($consulta2);
	   $datos = $resultado2->fetch_array();
		
	   $UriLocalhost    = $datos["UriLocalhost"];


///////////////////   limpia el directorio del correo //////////////////////////////
$directorio = opendir("../FE/tiqueteElectronico/crt/facturas_pdf/");  
while ($archivo = readdir($directorio))     
{   $nombreArch = ucwords($archivo);     
$nombreArch = str_replace("..", "Atras", $nombreArch);  

unlink("../FE/tiqueteElectronico/crt/facturas_pdf/".$nombreArch);
} 

closedir($directorio);   
  

//////////// descarga los  nuevos correos /////////////////////////////////

set_time_limit(3000);

	
	   	
		$fechainicio = $_GET['fechainicio'];
		$fechafin = $_GET['fechafin'];
	    $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
		$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 

 
    $consulta = "SELECT codfactura   FROM facturas   WHERE   fecha    between '$fechainicio'  and '$fechafin'   " ;

    if ($resultado = $mysqli->query($consulta)){

        while ($fila = $resultado->fetch_assoc()) {		
            $codfactura = $fila["codfactura"];
            file_get_contents("$UriLocalhost/fpdf/imprimir_Original.php?codfactura=$codfactura");            
            
            
                   
                }
        }

echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";


